AC_PREREQ(2.61)
AC_INIT([kemet],[0.0.0],[parrott.jason@gmail.com])
AC_CONFIG_SRCDIR([src/main.c])
AC_CONFIG_HEADER([config/config.h])

AM_INIT_AUTOMAKE(1.10)

# Checks for programs.
AC_PROG_CC
AC_PROG_LIBTOOL
AC_PROG_INSTALL
AM_GNU_GETTEXT([external])
AM_GNU_GETTEXT_VERSION([0.17])

# Checks for libraries.
PKG_CHECK_MODULES([CAIRO], [cairo >= 1.5.10])
PKG_CHECK_MODULES([GLITZ], [glitz >= 0.5.6])  

# Checks for header files.
AC_HEADER_STDC
AC_CHECK_HEADERS([stdlib.h string.h])

# Checks for typedefs, structures, and compiler characteristics.
AC_C_CONST

# Checks for library functions.

AC_CONFIG_FILES([Makefile
                 doc/Makefile
		 config/Makefile
                 include/Makefile
                 src/Makefile
		 src/playland/Makefile
		 po/Makefile.in
		 m4/Makefile])
AC_OUTPUT
